
Infrastructure - Task #2361

Story # 2086 (Closed): CN issues found when creating tests for Python D1 CNClient

CNCore.listChecksumAlgorithms() - 404 with strange error description

2012-02-22 05:31 - Roger Dahl

Status: Closed Start date: 2012-02-22

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Environment.Development Estimated time: 0.00 hour

Target version: Sprint-2012.11-Block.2.2   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Instead of a list of checksum algorithms, I get:

22:12:50 DEBUG    operation: GET /cn/v1/checksum

NotFound: name: NotFound

errorCode: 404

detailCode: 1800

description: No system metadata could be found for given PID: ev.dataone.org/cn/v1/checksum

PID: None

Also note the truncated first part of "cn-dev.dataone.org" -- it may be a second issue.

History

#1 - 2012-02-23 03:15 - Ben Leinfelder

This should be fixed in the latest Metacat, but I don't think it is yet deployed on the cn-dev servers -- was waiting for Robert.

#2 - 2012-02-23 17:22 - Ben Leinfelder

- Status changed from New to Closed

works on my local Metacat, but still needs to be deployed to cn-dev stack.
